package com.loveCoding.j20250607_method;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo05
 * @description Math类，数学运算类的使用
 * @create 2025/6/7
 */
public class Demo05 {
    public static void main(String[] args) {
        //通过Math.abs()方法，获取一个数字的绝对值
        int absNum1 = Math.abs(-5);
        System.out.println(absNum1);
        //返回大于或等于参数的最小double值，等于一个整数
        double ceil = Math.ceil(3);
        System.out.println(ceil);
        //返回小于或等于参数的最大double值，等于一个整数
        double floor = Math.floor(3.999);
        System.out.println(floor);
        //按照四舍五入返回最接近参数的int
        long round = Math.round(3.54);
        System.out.println(round);
        //比较两个数，返回最大值
        int max = Math.max(3, 4);
        System.out.println(max);
        //比较两个数，返回最小值
        int min = Math.min(3, 4);
        System.out.println(min);
        //返回a的b次幂的值
        double pow = Math.pow(15, 3);
        System.out.println(pow);
        //返回值为double的正值，范围是[0.0,1.0)
        double random = Math.random();
        System.out.println(random);
    }
}
